/****************************************************************************
**  SCALASCA    http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2012                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/


#ifndef SCOUT_OMPPATTERN_H
#define SCOUT_OMPPATTERN_H


#include "Pattern.h"


namespace scout
{

/*
 *---------------------------------------------------------------------------
 *
 * class OmpPattern
 *
 *---------------------------------------------------------------------------
 */

class OmpPattern : public Pattern
{
  protected:
    /* Protected methods */
    virtual bool skip_cnode(const pearl::CNode& cnode) const;
};


}   /* namespace scout */


#endif   /* !SCOUT_OMPPATTERN_H */
